Sign in Start for free

Icons

Get details of all icons

GET /api/icons/all

Response

200 — The requested list of Icons

  • icons array of object
    • iconHeight integer
    • iconPath string
    • iconWidth integer
    • id string
    • label string
    • searchTerms array of string

Example Response

JSON
{
  "icons": [
    {
      "iconHeight": 0,
      "iconPath": "string",
      "iconWidth": 0,
      "id": "string",
      "label": "string",
      "searchTerms": [
        "string"
      ]
    }
  ]
}

Get all icon categories and icon IDs contained in each category

GET /api/icons/categories

Response

200 — The requested Icon Categories

  • categories object

Example Response

JSON
{
  "categories": {
    "additionalProp1": [
      "string"
    ],
    "additionalProp2": [
      "string"
    ],
    "additionalProp3": [
      "string"
    ]
  }
}

Modify the logo of a Space to be a specified icon

POST /api/spaces/{spaceId}/logo/icon

Path Parameters

  • spaceId string (required)
    The ID of the Space to change logo for. Example: ‘Space-1’.

Request Body

  • IconColor string (required)
    Color of the icon in hex format. Example: ‘#0D80D8’. Minimum length 1. Must match ^#[0-9a-fA-F]{6}$.
  • IconId string (required)
    ID of the icon. Example: ‘octopus-deploy’. Minimum length 1.
  • SpaceId string (required)
    The ID of the Space to change logo for. Example: ‘Space-1’.

Response

200 — Confirmation that the Space Icon has been modified

Example Request

JSON
{
  "IconColor": "string",
  "IconId": "string",
  "SpaceId": "Spaces-1"
}

Example Response

JSON
{}

Modify the logo of a project to be a specified icon

POST /api/{spaceId}/projects/{projectId}/logo/icon

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/logo/icon.

Path Parameters

  • projectId string (required)
    The ID of the project to change logo for. Example: ‘Projects-1’.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • IconColor string (required)
    Color of the icon in hex format. Example: ‘#0D80D8’. Minimum length 1. Must match ^#[0-9a-fA-F]{6}$.
  • IconId string (required)
    ID of the icon. Example: ‘octopus-deploy’. Minimum length 1.
  • ProjectId string (required)
    The ID of the project to change logo for. Example: ‘Projects-1’.
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Project Icon has been modified

Example Request

JSON
{
  "IconColor": "string",
  "IconId": "string",
  "ProjectId": "Projects-1",
  "SpaceId": "Spaces-1"
}

Example Response

JSON
{}

Modify the logo of a tenant to be a specified icon

POST /api/{spaceId}/tenants/{tenantId}/logo/icon

Also reachable at /api/spaces/{spaceIdentifier}/tenants/{tenantId}/logo/icon.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).
  • tenantId string (required)
    The ID of the tenant to change logo for. Example: ‘Tenants-1’.

Request Body

  • IconColor string (required)
    Color of the icon in hex format. Example: ‘#0D80D8’. Minimum length 1. Must match ^#[0-9a-fA-F]{6}$.
  • IconId string (required)
    ID of the icon. Example: ‘octopus-deploy’. Minimum length 1.
  • SpaceId string (required)
    The ID of the space containing the resource(s).
  • TenantId string (required)
    The ID of the tenant to change logo for. Example: ‘Tenants-1’.

Response

200 — Confirmation that the Tenant Icon has been modified

Example Request

JSON
{
  "IconColor": "string",
  "IconId": "string",
  "SpaceId": "Spaces-1",
  "TenantId": "Tenants-1"
}

Example Response

JSON
{}